Bug 1688200 (CVE-2019-5798) - CVE-2019-5798 chromium-browser: Out of bounds read in Skia
Summary: CVE-2019-5798 chromium-browser: Out of bounds read in Skia
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-5798
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1714083 1714084 1714085 1688207 1688208 1688209 1709218 1709219 1709220 1709221 1709222 1714081 1714082
Blocks: 1688211 1709216 1714079
TreeView+ depends on / blocked
 
Reported: 2019-03-13 11:02 UTC by Andrej Nemec
Modified: 2019-09-29 15:08 UTC (History)
8 users (show)

Fixed In Version: chromium-browser 73.0.3683.75
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:50:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0708 None None None 2019-04-08 07:48:36 UTC
Red Hat Product Errata RHSA-2019:1265 None None None 2019-05-23 15:32:33 UTC
Red Hat Product Errata RHSA-2019:1267 None None None 2019-05-23 15:48:15 UTC
Red Hat Product Errata RHSA-2019:1269 None None None 2019-05-23 16:07:29 UTC
Red Hat Product Errata RHSA-2019:1308 None None None 2019-06-03 21:14:42 UTC
Red Hat Product Errata RHSA-2019:1309 None None None 2019-06-03 21:15:00 UTC
Red Hat Product Errata RHSA-2019:1310 None None None 2019-06-03 21:15:17 UTC

Description Andrej Nemec 2019-03-13 11:02:23 UTC
An out of bounds read flaw was found in the Skia component of the Chromium browser.

Upstream bug(s):

https://code.google.com/p/chromium/issues/detail?id=883596

External References:

https://chromereleases.googleblog.com/2019/03/stable-channel-update-for-desktop_12.html

Comment 1 Andrej Nemec 2019-03-13 11:05:57 UTC
Created chromium tracking bugs for this issue:

Affects: epel-7 [bug 1688209]
Affects: fedora-all [bug 1688208]

Comment 3 errata-xmlrpc 2019-04-08 07:48:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary

Via RHSA-2019:0708 https://access.redhat.com/errata/RHSA-2019:0708

Comment 4 errata-xmlrpc 2019-05-23 15:32:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1265 https://access.redhat.com/errata/RHSA-2019:1265

Comment 5 errata-xmlrpc 2019-05-23 15:48:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1267 https://access.redhat.com/errata/RHSA-2019:1267

Comment 6 errata-xmlrpc 2019-05-23 16:07:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1269 https://access.redhat.com/errata/RHSA-2019:1269

Comment 7 Doran Moppert 2019-05-29 06:23:09 UTC
Statement:

In general, this flaw cannot be exploited through email in Thunderbird because scripting is disabled when reading mail, but it is potentially a risk in browser or browser-like contexts.

Comment 8 errata-xmlrpc 2019-06-03 20:52:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1308 https://access.redhat.com/errata/RHSA-2019:1308

Comment 9 errata-xmlrpc 2019-06-03 21:14:41 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1308 https://access.redhat.com/errata/RHSA-2019:1308

Comment 10 errata-xmlrpc 2019-06-03 21:14:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1309 https://access.redhat.com/errata/RHSA-2019:1309

Comment 11 errata-xmlrpc 2019-06-03 21:15:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:1310 https://access.redhat.com/errata/RHSA-2019:1310


Note You need to log in before you can comment on or make changes to this bug.